Subject: bug#55039: [PATCH] Use VC-relative file names in ChangeLog entries

From: Robert Pluim <[email-masked]>
Date: Tue, 06 Sep 2022 16:58:07 +0200

>>>>> On Tue, 06 Sep 2022 14:34:58 +0000, Philip Kaludercic <[email-masked]> said:
    Philip>  (defun diff-add-log-current-defuns ()
    Philip>    "Return an alist of defun names for the current diff.
    Philip>  The elements of the alist are of the form (FILE . (DEFUN...)),
    Philip> @@ -2374,9 +2380,11 @@ diff-add-log-current-defuns
    Philip>            (re-search-forward diff-hunk-header-re nil t)
    Philip>          (setq hunk-end (save-excursion (diff-end-of-hunk)))
    Philip>          (pcase-let* ((filename (substring-no-properties
    Philip> -                                (file-relative-name
    Philip> -                                   (diff-find-file-name)
    Philip> -                                   (vc-root-dir))))
    Philip> +                                (if diff-relative-names-in-changelog
    Philip> +                                    (file-relative-name
    Philip> +                                     (diff-find-file-name)
    Philip> +                                     (vc-root-dir))
    Philip> +                                  (diff-find-file-name))))
    Philip>                       (=lines 0)
    Philip>                       (+lines 0)
    Philip>                       (-lines 0)

That doesnʼt look like the code thatʼs currently in master. Is this on
top of your previous patch?

    Philip> Assuming nobody objects to the name of the option, should this be
    Philip> documented in NEWS and/or in the Manual?  Also, as the entire point of
    Philip> the patch was that emacs.git is using relative path names, should a
    Philip> .dir-locals.el variable be set to ensure this is done?

NEWS and .dir-locals.el definitely. I guess you could add to the "Log
Buffer" node in the emacs manual if youʼre feeling inspired 😀

Robert
--